How can you Install FMX and VCL package versions from same conditionally compiled source?

I would like users to be able to install both FMX and VCL versions of 
the hcOPF framework into the IDE.

The problem is that if you have domain objects installed into the IDE 
based on the VCL version of the framework the IDE will keep giving you 
the error message that "package dclHengenOPFCoreFMX needs to be 
recompiled".  This error makes no sense on the surface, but what is 
happening is that the VCL run-time package is loaded by the IDE due to 
the domain package, and because it's based on the same source code units 
Delphi assumes the FMX package just needs to be re-compiled. 
Re-compiling it does not of course fix the problem...


How do you install multiple packages into the IDE based on the same 
source code conditionally compiled a different way?
0
Larry
6/18/2012 4:45:58 PM
embarcadero.delphi.ide 3925 articles. 0 followers. Follow

0 Replies
555 Views

Similar Articles

[PageSpeed] 27

Reply:

Similar Artilces:

Basic Install/virt-install to test out changes, it can be done from the source directory: ./virt-manager To install the software into /usr/local (usually), you can do: python setup.py insta
Basic Install ============= For starters, if you just want to run virt-manager/virt-install to test out changes, it can be done from the source directory: ./virt-manager To install the software into /usr/local (usually), you can do: python setup.py install To build an RPM, you can run: python setup.py rpm setup.py generally has all the build and install commands, for more info see: python setup.py --help-commands python setup.py install --help http://docs.python.org/inst/standard-install.html -- Vink ...

Installing different component package versions in the IDE
Hi All, We are using RAD Studio 2010 and have the following situation. We have a project (project A, Delphi) that contains a package of generic components, which we install to the IDE. We have a second project (project B, C++) which uses these components. We have two versions (one development trunk and one branch for maintenance) of project B which use the components from project A. However, the two versions of project B use different versions of project A, but the IDE will only allow one version to be installed at a time. This makes it a big hassle to build the different versions of pro...

Installing a VCL after compiling the 3rd party source
I am about to pull out the little hair that I still have. I have tried to install a third party VCL, for which I purchased the source. It compiled just fine and also installed just fine. When I attempted to test it, by executing a sample program, I received the following error message: [DCC Fatal Error] Unit3.pas(7): F2063 Could not compile used unit 'ElastFrm.pas', which I do not understand because when I built the "New Package" option and then entered the ElastFrm.pas into the "contains" box, followed by entering the registration pas file, it compiled and...

Installing a single source Delphi component into an existing Package
Can someone tell me how to do this in D2007? In D7, there is an option in Component called Install Component, but that doesn't exist in D2007. Thanks in advance, Alan > {quote:title=Alan Sawyer wrote:}{quote} > Can someone tell me how to do this in D2007? > > In D7, there is an option in Component called Install Component, but that doesn't exist in D2007. Pesky annoyance, isn't it? Can someone with Delphi 2009 installed tell me whether it's finally added back in? Anyway, Steve Trefethen wrote a blog with step-by-step instructions here: http://...

After installing Delphi 2009, update 1, I can't compile anything.
Message box: Error: Class not registered, ClassID: {410C0C78-0AFB-4FEC-9530-B41D86B0792D}. [OK] [Details] [5005F650]{rtl120.bpl } ComObj.OleError (Line 1270, "ComObj.pas" + 1) + $11 [5005F65F]{rtl120.bpl } ComObj.OleCheck (Line 1277, "ComObj.pas" + 0) + $7 [5005F980]{rtl120.bpl } ComObj.CreateComObject (Line 1365, "ComObj.pas" + 2) + $1A [21D44C16]{dotnetcoreide120.bpl} Borland_Studio_Interop_TLB.CoMSBuildProjectInteropCreator.Create (Line 2764, "Borland_Studio_Interop_TLB.pas" + 1) + $8 [21D768A3]{dotnetcoreide120.bpl} MSBuildIn...

how to create an install version from source-code version?
hi all: I modified something in the source version, and I want to build a deployment version from it.what effect I want is like the install version offerred in www.dotnetnuke.comI do not want put the behind code to server.I have tried to make a web install project in visualstudio.net, but after building, I just got a .exe file without the UI part code.please tell me how to get a correct web install version.  thanks!   I just can create a install file for the project dotnetnuke. but it failed. you can use the nant build scripts. ...

Migrating from source version to install version of DOTNETNUKE
Hi all, I have 3 dotnetnuke sites which are running on the DotNetNuke Source package (Version 3.2.2).Each of these sites has its own set of folders(DotNetNuke folders) and the respective databases. Now i would like to migrate them to the Install package. I wanted to know as to how i can do this without disrupting the existing functionality of these sites.It would be very helpful if someone who has already tried this can give the exact approach to be followed. Thanks in advance. The easiest way would be to install the install version into a new folder pointing to a temporary DB, th...

DBD::DB2 Do I need to compile on each box or can I copy the installed version to another box? (AIX)
Hello, My environment is as follows: AIX 4.3.3.0 running perl 5.005_03 Installed DBI 1.32 Installed DB2 vsn 7.2 I'm requiring install of the DBD::DB2 driver onto a number of AIX RS6000 machines. The install originally failed compilation because I hadn't installed the DB2 Application Development Client. I've been told by our DBA that the Application Development Client could be installed onto one of our test boxes in order to install DBD::DB2 to that box, however it is not allowed on any of the Live boxes. My question therefore is would it be feasible to install ...

How can I install 3,party packages with Network Install?
Hello I have about 10 machines to upgrade from os10.3 to 11.2 Upgrading does not work so I have to reinstall everything :-( Now my question: I know how to setup a server to install from BUT how can I install automaticly the additional packages and how can I copy some config files like kde config for users etc. AUTOMATICLY? I have saved all the downloaded rpms from the installation. How can I put they that installation will take it and install? The same as noted for some files to install. Is there any documentation? Thanks a lot Beat -- tkmbe ------------------------...

How do I compile xul.dll only (having firefox sources installed and compiling ok)
Hello, I could not find anywhere how to build xul.dll only. Is there a "mach" option please ? Any page which explains how to achieve this? (I can run mach build, but it takes a very long time to check all the other components have to be recompiled I suppose) (development environment is Windows + vs2008) Thanks in advance, Olivier. ../mach build toolkit/library On 04/05/2013 11:16 AM, ggo wrote: > Hello, > > I could not find anywhere how to build xul.dll only. > Is there a "mach" option please ? > Any page which explains how to achieve ...

Can I install the 32-bit versions of ASP.NET 1.1 and the 64-bit version of ASP.NET 2.0 on a 64-bit version of Windows?
I have installed • The .NET Framework Version 2.0 Redistributable Package x64 (64 Bit) • The .NET Framework Version 1.1 Redistributable on my Windows Server 2003 x64 edition and then, I have run cscript %SYSTEMDRIVE%\inetpub\adminscripts\adsutil.vbs SET W3SVC/AppPools/Enable32bitAppOnWin64 1 and %SYSTEMROOT%\Microsoft.NET\Framework\v1.1.4322\aspnet_regiis.exe -i to enable .net framework 1.1,but the IIS will disabled the .net framework 2.0. Anyone who can tell me how to enable the both .net framework above at the SAME time instead of SWITCH. Th...

web matrix web server compiles in Microsoft .NET Framework Version:1.0.3705.288; ASP.NET Version:1.0.3705.288 even with version 1.1 installed
I have web matrix defaulting to use v1.1 but when it compiles it using Microsoft .NET Framework Version:1.0.3705.288; ASP.NET Version:1.0.3705.288, does anybody know why this is happening and how do i change it to use v1.1? thanks Hi, I suggest you to build a "WebServer.exe.config" file to match 1.1 NET. Yes, please take a look at this post: view post 249010 Regards,...

Delphi 6 to Delphi XE2: can't find required package.
We have a Delphi 6 Project Group that we like to work on in Delphi XE2. When trying to build the project, we get the DCC Fatal Error E2202: Required package 'cds' not found. With Delphi 6 we've used the following tools: - JVCL340 & JCL221 - devExpress QuantumGrid 6 - QuickReport (default in Delphi 6) - Visoco Sybase Driver, Devart Oracle en MSSQL drivers With Delphi XE2 (update 3 installed) we're using the following tools and settings for now (after removing Delphi 6 in an attempt to make it work) : - JVCL345 & JCL231 (http://jvcl.delphi-jedi.org/) - devExpr...

Can I compile perl so I can run a perl script without having perl installed?
Can I compile perl so I can run a perl script without having perl installed? Thanks, Jackie From: "De Joe, Jackie" <Jackie.DeJoe@slbg.com> > Can I compile perl so I can run a perl script without having perl > installed? Yes. And you may even choose which tool to use: PAR - free http://search.cpan.org/search?mode=all&query=PAR PerlApp - part of Perl Development Kit http://www.activestate.com/Products/Perl_Dev_Kit/ Perl2Exe www.perl2exe.com HTH, Jenda ===== Jenda@Krynicky.cz === http://Jenda.Krynicky.cz ===== When it comes to wine, wom...

Web resources about - How can you Install FMX and VCL package versions from same conditionally compiled source? - embarcadero.delphi.ide

MOC conditionally approves Nokia-Microsoft deal
According to the announcement by the Ministry of Commerce, the Ministry is in the point of view that...

Christie Conditionally Backs New Jersey Internet Gambling
New Jersey Governor Chris Christie Thursday gave his conditional support to Internet gambling, laying the ground for the state to become one ...

N.Y.U. returns, conditionally, to salvage LICH deal
SUNY and Fortis bring hospital back, but only if judge dismisses nurses' union suit

Maltese PM says Greece would conditionally suspend bailout referendum
Greece has said it would be willing to suspend Sunday's planned referendum on the latest cash for reforms offer from its creditors if talks were ...

China approves conditionally Western Digital's acquisition of Hitachi
China has approved with conditions Western Digital's planned acquisition of Hitachi Global Storage Technologies (GST), requiring that the Hitachi ...

Chris Christie approves medical marijuana for children – conditionally
Christian Science Monitor Chris Christie approves medical marijuana for children – conditionally (+video) Christian Science Monitor Enlarge. ...

Chris Christie 'conditionally vetoes' minimum wage increase, Democrats saying screw your conditions
New Jersey Gov. Chris Christie conditionally vetoed a bill raising the state's minimum wage from the federal rate of $7.25 to $8.50 and tying ...

Chris Kluwe Conditionally Surrenders No. 5 To New Vikings QB Donovan McNabb
Your morning roundup for July 30, the day we're provided with living proof that 32-year-old women are, in fact, into 83-year-old men. Got any ...

MOEA conditionally approves Sanan Optoelectronics stake in Epistar
Taiwan's Ministry of Economic Affairs (MOEA) on October 29 approved the conversion of China-based LED epitaxial wafer and chip maker Sanan Optoelectronics' ...

Judge conditionally bars Samsung from pointing next week's jury to the Apple-HTC settlement deal
... construction) to a greater extent than on commercial considerations (such as the eBay injunction factors). However, I find her order conditionally ...

Resources last updated: 12/11/2015 5:21:05 PM